org.modeshape.jcr.query.engine.process

## Class HashJoinSequence.HashCrossJoinBatch

- java.lang.Object
- - org.modeshape.jcr.query.engine.process.HashJoinSequence.HashJoinBatch
  - - org.modeshape.jcr.query.engine.process.HashJoinSequence.HashCrossJoinBatch

- All Implemented Interfaces:
    NodeSequence.Batch, NodeSequence.RowAccessor
  Enclosing class:
    HashJoinSequence

      protected class HashJoinSequence.HashCrossJoinBatch
      extends HashJoinSequence.HashJoinBatch

  A batch that contains rows that will have no left value and a right value. Every value on the left matches all values on the right, since this is a cross-join.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HashJoinSequence.HashCrossJoinBatch(NodeSequence.Batch currentLeft)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Iterator<BufferedRows.BufferedRow>` | `getRightRowsFor(Object leftValue)`
    `protected void` | `recordRightRowsMatched(Object rightKey)`

    - ### Methods inherited from class org.modeshape.jcr.query.engine.process.HashJoinSequence.HashJoinBatch

      `getNode, getNode, getScore, getScore, getWorkspaceName, hasNext, isEmpty, nextRow, rowCount, width`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HashJoinSequence.HashCrossJoinBatch

          protected HashJoinSequence.HashCrossJoinBatch(NodeSequence.Batch currentLeft)

  - ### Method Detail

    - #### getRightRowsFor

          protected Iterator<BufferedRows.BufferedRow> getRightRowsFor(Object leftValue)

      Overrides:
        `getRightRowsFor` in class `HashJoinSequence.HashJoinBatch`

    - #### recordRightRowsMatched

          protected void recordRightRowsMatched(Object rightKey)

      Overrides:
        `recordRightRowsMatched` in class `HashJoinSequence.HashJoinBatch`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.